<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Travel Master Pro
	 * @since Travel Master Pro 1.0.0
	 */

	/**
	 * travel_master_pro_doctype hook
	 *
	 * @hooked travel_master_pro_doctype -  10
	 *
	 */
	do_action( 'travel_master_pro_doctype' );

?>
<head>
<?php
	/**
	 * travel_master_pro_before_wp_head hook
	 *
	 * @hooked travel_master_pro_head -  10
	 *
	 */
	do_action( 'travel_master_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * travel_master_pro_page_start_action hook
	 *
	 * @hooked travel_master_pro_page_start -  10
	 *
	 */
	do_action( 'travel_master_pro_page_start_action' ); 

	/**
	 * travel_master_pro_loader_action hook
	 *
	 * @hooked travel_master_pro_loader -  10
	 *
	 */
	do_action( 'travel_master_pro_before_header' );

	/**
	 * travel_master_pro_header_action hook
	 *
	 * @hooked travel_master_pro_header_start -  10
	 * @hooked travel_master_pro_site_branding -  20
	 * @hooked travel_master_pro_site_navigation -  30
	 * @hooked travel_master_pro_header_end -  50
	 *
	 */
	do_action( 'travel_master_pro_header_action' );

	/**
	 * travel_master_pro_content_start_action hook
	 *
	 * @hooked travel_master_pro_content_start -  10
	 *
	 */
	do_action( 'travel_master_pro_content_start_action' );

	/**
	 * travel_master_pro_header_image_action hook
	 *
	 * @hooked travel_master_pro_header_image -  10
	 *
	 */
	do_action( 'travel_master_pro_header_image_action' );

	if ( travel_master_pro_is_frontpage() ) {
    	$options = travel_master_pro_get_theme_options();

    	if ( ! empty( $options['sortable'] ) ) {
			$sorted = explode( ',' , $options['sortable'] );
		}
    	
    	if ( $options['home_layout'] == 'fifth-design' ) {
    		$sorted = array( 'popular', 'featured', 'recent', 'most_view', 'blog' );
		}
		
    	if ( $options['home_layout'] == 'sixth-design' ) {
    		$sorted = array( 'slider', 'about', 'service','popular_product', 'featured_product', 'latest_product', 'blog', 'subscription');
    	}
		
    	if ( $options['home_layout'] == 'seventh-design' ) {
    		$sorted = array( 'slider', 'service', 'cta', 'about', 'team', 'blog', 'testimonial', 'subscription');
    	}
		
		foreach ( $sorted as $section ) {
			add_action( 'travel_master_pro_primary_content', 'travel_master_pro_add_'. $section .'_section' );
		}

		do_action( 'travel_master_pro_primary_content' );
	}