<?php
/**
 * Travel Master Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Travel Master Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function travel_master_pro_custom_colors_css() {
  	$options= travel_master_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus,
	#top-bar,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	input[type="submit"]:hover,
	input[type="submit"]:focus,
	.reply a:hover,
	.reply a:focus,
	.btn:hover,
	.btn:focus,
	.wp-travel-filter form input[type="submit"],
	#discover-places .read-more a:hover,
	#discover-places .read-more a:focus,
	#subscribe-now button[type="submit"],
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.second-design .btn,
	.second-design #our-services .icon-container i,
	.second-design #top-destinations select,
	.third-design .btn,
	.third-design #our-services .icon-container i,
	.third-design #top-destinations select,
	.third-design #top-destinations .read-more a,
	.second-design .wp-travel-filter form input[type="submit"],
	.fourth-design .btn,
	.fourth-design .featured-content-wrapper .btn:hover,
	.fourth-design .featured-content-wrapper .btn:focus,
	.fourth-design .clients-feedback .featured-image.full-image,
	#magazine-popular-posts ul.post-categories li a,
	#magazine-featured-posts ul.post-categories li a,
	#magazine-recent-posts ul.post-categories li a,
	#magazine-latest-posts ul.post-categories li a,
	#magazine-most-viewed-posts ul.post-categories li a,
	.fifth-design .section-title { 
		background-color: ' . esc_attr($color_value) . '; 
	}

	#respond input[type="submit"],
	input[type="submit"],
	.btn {
	    background-color: rgba(3, 91, 188, 0.05);
	    border-color: rgba(3, 91, 188, 0.05);
	}';

	$css .= '
	#respond input[type="submit"],
	a,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	input[type="submit"],
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.reply a,
	.comment-meta .url:hover,
	.comment-meta .url:focus,
	.comment-metadata a:hover time,
	.comment-metadata a:focus time,
	.btn,
	#featured-slider .btn:hover,
	#featured-slider .btn:focus,
	#our-services .entry-title a:hover,
	#our-services .entry-title a:focus,
	.destination-item-wrapper .entry-title a:hover,
	.destination-item-wrapper .entry-title a:focus,
	#top-destinations .entry-header span a:hover,
	#top-destinations .entry-header span a:focus,
	.destination-item-wrapper .more-link:hover,
	.destination-item-wrapper .more-link:focus,
	#about-us .entry-title a:hover,
	#about-us .entry-title a:focus,
	#destination-slider .entry-title a:hover,
	#destination-slider .entry-title a:focus,
	.archive-blog-wrapper .entry-title a:hover,
	.archive-blog-wrapper .entry-title a:focus,
	.wp-travel-archive-content .description-left .entry-title a:hover,
	.wp-travel-archive-content .description-left .entry-title a:focus,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .post-title a:hover,
	.wp-travel-itinerary-items .wp-travel-post-item-wrapper .post-title a:focus,
	.ws-theme-cart-page .ws-theme-cart-list .item_cart h4 a:hover,
	.ws-theme-cart-page .ws-theme-cart-list .item_cart h4 a:focus,
	.single-wrapper .entry-meta span a:hover, 
	.single-wrapper .entry-meta span a:focus,
	.single-wrapper .cat-links a,
	.single-wrapper .entry-meta span.byline a.fn:hover,
	.single-wrapper .entry-meta span.byline a.fn:focus,
	.single-wrapper .entry-meta > span a:hover,
	.single-wrapper .entry-meta > span a:focus {
		color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.loader-container svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.section-header .more-link svg,
	.read-more svg { 
		fill: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	#respond input[type="submit"]:hover,
	#respond input[type="submit"]:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	input[type="submit"]:hover,
	input[type="submit"]:focus,
	.reply a,
	.btn:hover,
	.btn:focus,
	#discover-places .read-more a:hover,
	#discover-places .read-more a:focus,
	#subscribe-now button[type="submit"],
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.second-design .btn,
	.third-design .btn,
	.third-design #top-destinations .read-more a,
	.second-design .wp-travel-filter form input[type="submit"],
	.fourth-design .btn,
	.fourth-design .featured-content-wrapper .btn:hover,
	.fourth-design .featured-content-wrapper .btn:focus { 
		border-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.second-design .destination-item-wrapper .featured-image,
	.third-design .destination-item-wrapper .featured-image,
	.fifth-design .section-header { 
		border-bottom-color: ' . esc_attr($color_value) . '; 
	}';


	$css .= '
	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr($color_value) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr($color_value) . ';}
	}';

	/**
	 * Filters Travel Master Pro custom colors CSS.
	 *
	 * @since Travel Master Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'travel_master_pro_custom_colors_css', $css );
}
