<?php
/**
* advertisement Section options
*
* @package Theme Palace
* @subpackage Travel Master Pro
* @since Travel Master Pro 1.0.0
*/

// Add advertisement section
$wp_customize->add_section( 'travel_master_pro_advertisement_section', array(
	'title'             => esc_html__( 'Advertisement','travel-master-pro' ),
	'panel'             => 'travel_master_pro_front_page_panel',
	) );

// advertisement content enable control and setting
$wp_customize->add_setting( 'travel_master_pro_theme_options[advertisement_section_enable]', array(
	'default'			=> 	$options['advertisement_section_enable'],
	'sanitize_callback' => 'travel_master_pro_sanitize_switch_control',
	) );

$wp_customize->add_control( new Travel_Master_Pro_Switch_Control( $wp_customize, 'travel_master_pro_theme_options[advertisement_section_enable]', array(
	'label'             => esc_html__( 'Recent Section Enable', 'travel-master-pro' ),
	'section'           => 'travel_master_pro_advertisement_section',
	'on_off_label' 		=> travel_master_pro_switch_options(),
	) ) );

$wp_customize->add_setting( 'travel_master_pro_theme_options[advertisement_image]', array(
	'sanitize_callback' => 'travel_master_pro_sanitize_image'
	) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'travel_master_pro_theme_options[advertisement_image]',
	array(
		'label'       		=> esc_html__( 'Image', 'travel-master-pro' ),
		'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'travel-master-pro' ), 512, 520 ),
		'section'     		=> 'travel_master_pro_advertisement_section',
		'active_callback'	=> 'travel_master_pro_is_advertisement_section_enable',
		) ) );
// advertisement btn link setting and control
$wp_customize->add_setting( 'travel_master_pro_theme_options[advertisement_link]', array(
	'sanitize_callback' => 'esc_url_raw',
	) );

$wp_customize->add_control( 'travel_master_pro_theme_options[advertisement_link]', array(
	'label'           	=> esc_html__( 'Ads Link', 'travel-master-pro' ),
	'section'        	=> 'travel_master_pro_advertisement_section',
	'active_callback' 	=> 'travel_master_pro_is_advertisement_section_enable',
	'type'				=> 'url',
	) );
