<?php
/**
 * popular_product Section options
 *
 * @package Theme Palace
 * @subpackage Travel Master Pro
 * @since Travel Master Pro 1.0.0
 */

 // Add popular_product section
$wp_customize->add_section( 'travel_master_pro_featured_product_section', array(
    'title'             => esc_html__( 'Featured Product Section','travel-master-pro' ),
    'description'       => esc_html__( 'Featured Product Section Section options.', 'travel-master-pro' ),
    'panel'             => 'travel_master_pro_front_page_panel',
) );

// popular_product content enable control and setting
$wp_customize->add_setting( 'travel_master_pro_theme_options[featured_product_section_enable]', array(
    'default'           =>  $options['featured_product_section_enable'],
    'sanitize_callback' => 'travel_master_pro_sanitize_switch_control',
) );

$wp_customize->add_control( new Travel_Master_Pro_Switch_Control( $wp_customize, 'travel_master_pro_theme_options[featured_product_section_enable]', array(
    'label'             => esc_html__( 'Featured product Section Enable', 'travel-master-pro' ),
    'section'           => 'travel_master_pro_featured_product_section',
    'on_off_label'      => travel_master_pro_switch_options(),
) ) );


$wp_customize->add_setting( 'travel_master_pro_theme_options[featured_product_content_type]', array(
    'default'           => $options['featured_product_content_type'],
    'sanitize_callback' => 'travel_master_pro_sanitize_select',
) );

$wp_customize->add_control( 'travel_master_pro_theme_options[featured_product_content_type]', array(
    'label'             => esc_html__( 'Content Type', 'travel-master-pro' ),
    'section'           => 'travel_master_pro_featured_product_section',
    'type'              => 'select',
    'active_callback'   => 'travel_master_pro_is_featured_product_section_enable',
    'choices'           => travel_master_pro_featured_product_content_type(),
) );

for( $i = 1 ; $i <= 2 ; $i++ ){

    $wp_customize->add_setting( 'travel_master_pro_theme_options[featured_product_content_post_' . $i . ']', array(
        'sanitize_callback' => 'travel_master_pro_sanitize_page',
    ) );

    $wp_customize->add_control( new Travel_Master_Pro_Dropdown_Chooser( $wp_customize, 'travel_master_pro_theme_options[featured_product_content_post_' . $i . ']', array(
        'label'             => sprintf( esc_html__( 'Select Post %d', 'travel-master-pro' ), $i ),
        'section'           => 'travel_master_pro_featured_product_section',
        'choices'           => travel_master_pro_post_choices(),
        'active_callback'   => 'travel_master_pro_is_featured_product_section_content_post_enable',
    ) ) );

    $wp_customize->add_setting( 'travel_master_pro_theme_options[featured_product_content_page_' . $i . ']', array(
		'sanitize_callback' => 'travel_master_pro_sanitize_page',
	) );

	$wp_customize->add_control( new Travel_Master_Pro_Dropdown_Chooser( $wp_customize, 'travel_master_pro_theme_options[featured_product_content_page_' . $i . ']', array(
		'label'             => sprintf( esc_html__( 'Select Page %d', 'travel-master-pro' ), $i ),
		'section'           => 'travel_master_pro_featured_product_section',
		'choices'			=> travel_master_pro_page_choices(),
		'active_callback'	=> 'travel_master_pro_is_featured_product_section_content_page_enable',
    ) ) );
    
    
    $wp_customize->add_setting( 'travel_master_pro_theme_options[featured_product_content_product_' . $i . ']', array(
        'sanitize_callback' => 'travel_master_pro_sanitize_page',
    ) );

    $wp_customize->add_control( new Travel_Master_Pro_Dropdown_Chooser( $wp_customize, 'travel_master_pro_theme_options[featured_product_content_product_' . $i . ']', array(
        'label'             => sprintf( esc_html__( 'Select Product %d', 'travel-master-pro' ), $i ),
        'section'           => 'travel_master_pro_featured_product_section',
        'choices'           => travel_master_pro_product_choices(),
        'active_callback'   => 'travel_master_pro_is_featured_product_section_content_product_enable',
    ) ) );
    
	$wp_customize->add_setting( 'travel_master_pro_theme_options[featured_product_btn_label_'.$i.']', array(
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'travel_master_pro_theme_options[featured_product_btn_label_'.$i.']', array(
		'label'           	=> sprintf( esc_html__( 'Featured  Button Label %d', 'travel-master-pro' ), $i ),
		'section'        	=> 'travel_master_pro_featured_product_section',
		'active_callback' 	=> 'travel_master_pro_is_featured_product_section_enable',
		'type'				=> 'text',
	) );

}

// Add dropdown category setting and control.
$wp_customize->add_setting(  'travel_master_pro_theme_options[featured_product_content_category]', array(
	'sanitize_callback' => 'travel_master_pro_sanitize_single_category',
) ) ;

$wp_customize->add_control( new Travel_Master_Pro_Dropdown_Taxonomies_Control( $wp_customize,'travel_master_pro_theme_options[featured_product_content_category]', array(
	'label'             => esc_html__( 'Select Category', 'travel-master-pro' ),
	'description'      	=> esc_html__( 'Note: Latest selected no of posts will be shown from selected category', 'travel-master-pro' ),
	'section'           => 'travel_master_pro_featured_product_section',
	'type'              => 'dropdown-taxonomies',
	'active_callback'	=> 'travel_master_pro_is_featured_product_section_content_category_enable'
) ) );